function block = cfun_pendelanim(block,flag)
  winId = 20000 + curblock();
  r = 0.1;
  arcData = [-r, -1+r, 2*r, 2*r, 0, 64*360];
 
  if flag == 4 then  // Init
    hFig = scf(winId);
    hFig.figure_size = [400,500];
    clf(hFig);

    hAxis= hFig.children;
    lim = 1.2;
    hAxis.data_bounds = [-lim,-lim;lim,lim];
    hAxis.isoview = 'on';
    hAxis.auto_ticks = ["off", "off", "off"];
    hAxis.tight_limits = "on";
   
    drawlater();
       // Halterung, fix
       sH = 0.05;
       plot([sH sH -sH -sH sH], [-sH sH sH -sH -sH]);
       // Faden
       xpoly([0 0], [0 -1]);
       // Kugel
       xfarc(-r, -1+r, 2*r, 2*r, 0, 64*360);
    drawnow();
  
  elseif flag == 2 then // Update
    hFig = scf(winId);
    hAxis = hFig.children;
    phi = block.inptr(1)(1);
    x = sin(phi);
    y = -cos(phi);
    drawlater();
      XY=[0,0; x,y];
      hAxis.children(2).data = XY;
      newArc = arcData;
      newArc(1:2) = [x-r,y+r];
      hAxis.children(1).data = newArc;
    drawnow();
  end
endfunction