function specplot(A)
  dt = min(diff(A.time))
  N = length(A.time)
  T = (N-1)*dt;
  X = fft(A.values);
  F = abs(X(1:N/2))/N;
  om = 2*%pi*(0:(N/2)-1)/T;
  plot(om, F);
  xlabel('omega');
  ylabel('|X|');
endfunction;
